### Virtual Method

# Gtk CellArea get_preferred_height

deprecated: 4.10

#### Declaration [src]

    void
    get_preferred_height (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      int* minimum_height,
      int* natural_height
    )

#### Description [src]

Retrieves a cell area’s initial minimum and natural height.

`area` will store some geometrical information in `context` along the way; when requesting sizes over an arbitrary number of rows, it’s not important to check the `minimum_height` and `natural_height` of this call but rather to consult `gtk_cell_area_context_get_preferred_height()` after a series of requests.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkCellAreaContext`

  The `GtkCellArea`Context to perform this request with.

  The data is owned by the caller of the method.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` where `area` will be rendering.

  The data is owned by the caller of the method.

`minimum_height`

  Type: `int*`

  Location to store the minimum height.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_height`

  Type: `int*`

  Location to store the natural height.

  The argument will be set by the function.
  The argument can be `NULL`.